Last Comment Bug 720208 - Implement DOM4 DOMException types and codes
: Implement DOM4 DOMException types and codes
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla13
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
http://dvcs.w3.org/hg/domcore/raw-fil...
: 625812 (view as bug list)
Depends on: 745498
Blocks: 721569
  Show dependency treegraph
 
Reported: 2012-01-22 02:07 PST by Masatoshi Kimura [:emk]
Modified: 2012-08-15 02:21 PDT (History)
4 users (show)
dao+bmo: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (35.92 KB, patch)
2012-01-22 02:07 PST, Masatoshi Kimura [:emk]
Ms2ger: review+
Details | Diff | Splinter Review
patch for check in; r=ms2ger, smaug (35.95 KB, patch)
2012-01-26 05:40 PST, Masatoshi Kimura [:emk]
VYV03354: review+
bugs: review+
Details | Diff | Splinter Review
patch (36.61 KB, patch)
2012-02-02 05:43 PST, Masatoshi Kimura [:emk]
Ms2ger: review+
bugs: review+
Details | Diff | Splinter Review

Description Masatoshi Kimura [:emk] 2012-01-22 02:07:05 PST
Created attachment 590555 [details] [diff] [review]
patch
Comment 1 Olli Pettay [:smaug] (vacation Aug 25-28) 2012-01-26 04:11:35 PST
Comment on attachment 590555 [details] [diff] [review]
patch

I'll review this soon, but Ms2ger as a DOM4 editor could review this too.
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2012-01-26 05:24:42 PST
Comment on attachment 590555 [details] [diff] [review]
patch

Looks good to me.

>--- a/dom/base/domerr.msg
>+++ b/dom/base/domerr.msg
>+DOM_MSG_DEF_(INDEX_SIZE_ERR, "IndexSizeError", "Index or size is negative or greater than the allowed amount")
>+DOM_MSG_DEF_(DOMSTRING_SIZE_ERR, "DOMSTRING_SIZE_ERR", "The specified range of text does not fit in a DOM string")

I think it's weird to have "DOMSTRING_SIZE_ERR" here, even if that's not detectable from script. Could you make them title case for consistency?
Comment 3 Masatoshi Kimura [:emk] 2012-01-26 05:40:17 PST
Created attachment 591761 [details] [diff] [review]
patch for check in; r=ms2ger, smaug

Thanks! Fixed casing.
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2012-01-26 05:45:30 PST
Comment on attachment 591761 [details] [diff] [review]
patch for check in; r=ms2ger, smaug

Er, I do want smaug to review it as well
Comment 5 Masatoshi Kimura [:emk] 2012-01-26 05:56:11 PST
(In reply to Ms2ger from comment #2)
> I think it's weird to have "DOMSTRING_SIZE_ERR" here, even if that's not
> detectable from script.
I found DOMSTRING_SIZE_ERR was still used:
https://mxr.mozilla.org/mozilla-central/source/content/base/src/nsGenericDOMDataNode.cpp#275
What should be done here?
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2012-01-26 06:07:43 PST
Oh, right. That should probably just be NS_ERROR_OUT_OF_MEMORY
Comment 9 Masatoshi Kimura [:emk] 2012-02-02 05:43:30 PST
Created attachment 593801 [details] [diff] [review]
patch

Grrr, bug 682299 added yet another crossorigin test which caused the test failure.
Comment 10 :Ms2ger (⌚ UTC+1/+2) 2012-02-22 03:06:24 PST
Comment on attachment 593801 [details] [diff] [review]
patch

r=me on the additional test change
Comment 11 Masatoshi Kimura [:emk] 2012-02-22 04:00:26 PST
Do I need smaug's review either?
Comment 12 :Ms2ger (⌚ UTC+1/+2) 2012-02-22 04:01:27 PST
I think that's fine.
Comment 13 Masatoshi Kimura [:emk] 2012-02-22 04:27:29 PST
Comment on attachment 593801 [details] [diff] [review]
patch

Setting the review flag again.
Comment 14 Olli Pettay [:smaug] (vacation Aug 25-28) 2012-02-22 04:37:20 PST
What is the difference to the previous patch ?
Comment 16 Mozilla RelEng Bot 2012-02-22 04:58:59 PST
Autoland Patchset:
	Patches: 593801
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/pushloghtml?changeset=9df4a628af5e
Try run started, revision 9df4a628af5e. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=9df4a628af5e
Comment 17 Mozilla RelEng Bot 2012-02-22 09:31:13 PST
Try run for 9df4a628af5e is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=9df4a628af5e
Results (out of 216 total builds):
    exception: 1
    success: 173
    warnings: 25
    failure: 17
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-9df4a628af5e
Comment 19 Ed Morley [:emorley] 2012-02-23 13:20:55 PST
https://hg.mozilla.org/mozilla-central/rev/dce72d0fd6aa
Comment 21 :Ms2ger (⌚ UTC+1/+2) 2012-08-15 02:21:48 PDT
*** Bug 625812 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.